## mdetect 0.5.2.3build2

=== Makefile ===
#!/usr/bin/make -f
# Copyright (C) 2000 Progeny Linux Systems, Inc.
# Author: Branden Robinson <branden@progeny.com>
#
#  This is free software; you may redistribute it and/or modify
#  it under the terms of the GNU General Public License as
#  published by the Free Software Foundation; either version 2,
#  or (at your option) any later version.
#
#  This is distributed in the hope that it will be useful, but
#  WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with the Debian GNU/Linux system; if not, write to the Free
#  Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
#  02111-1307 USA
#
#  That's right, although mdetect itself is under the QPL, this makefile is
#  under the GPL.  Enjoy!

CFLAGS=-Wall -g -O2

mdetect: mdetect.c mice.c

install: mdetect
	install -m 755 -d $(PREFIX)/usr/bin
	install -m 755 mdetect $(PREFIX)/usr/bin
	install -m 755 -d $(PREFIX)/usr/share/man/man1
	install -m 644 mdetect.man $(PREFIX)/usr/share/man/man1/mdetect.1
	install -m 755 -d $(PREFIX)/usr/share/doc/mdetect
	install -m 644 README $(PREFIX)/usr/share/doc/mdetect

clean:
	rm -f mdetect *.o core

## mdetect 0.5.1

=== debian/changelog ===
mdetect (0.5.1) unstable; urgency=low

  * the "how about running patch without the --dry-run option, dumbass"
    release
  * mdetect.{c,h}: really apply Richard Hirst's patch (Closes: #136115)

 -- Branden Robinson <branden@debian.org>  Wed, 27 Feb 2002 20:46:34 -0500

mdetect (0.5) unstable; urgency=low

  * mdetect.{c,h}: applied patch from Richard Hirst to save and restore
    terminal settings on serial devices; "Should be safe, all I'm doing is
    tcgetattr() and tcsetattr(), which the code did before anyway elsewhere.
    I registered an on_exit() function to ensure settings are restored on
    overall timeout.  That meant calling exit(2) rather than _exit(2), so I
    restarted the timeout in case exit() itself hung.  I restructured main() a
    bit, but I don't think that should cause problems; there was/is no way
    stage1() could return NULL anyway - it either detects something or exits
    via the alarm().  Tested on i386 and ia64, with ps/2 and serial mice (and
    no mice).  serial mouse detection only works if I wiggle my mouse while
    mdetect runs, but that might be a feature of my mouse (and it ws the same
    before I changed the code).  If that is expected behaviour, it should be
    in the manpage.  If I have a serial console, then there is a little
    garbage on the line as mdetect runs and changes baudrate, but it recovers
    when mdetect exits."  Thanks, Richard!  (Closes: #131467)
  * mdetect.man: updated

 -- Branden Robinson <branden@debian.org>  Fri, 22 Feb 2002 18:02:05 -0500

mdetect (0.4) unstable; urgency=low

  * debian/control: add build-dependency on debhelper (>> 2.0)

 -- Branden Robinson <branden@debian.org>  Sat, 13 Oct 2001 20:38:26 -0500

mdetect (0.3) unstable; urgency=low

  * mdetect.c: search for USB mice on /dev/input/mouse0 first, so that
    non-USB mice are returned preferentially
  * mice.c: use ImPS/2 as X protocol on "kernel 2.4-style" USB mice

 -- Branden Robinson <branden@debian.org>  Fri, 16 Feb 2001 15:16:03 -0500

mdetect (0.2) unstable; urgency=low

  * mdetect.c: correct special-case IntelliMouse PS/2 logic so it actually
    works
  * mice.c: correct case of IntelliMouse XFree86 protocol name so that
    proper special-case PS/2 logic is invoked

 -- Branden Robinson <branden@debian.org>  Sun, 26 Nov 2000 18:58:19 -0500

mdetect (0.1) unstable; urgency=low

  * initial release

 -- Branden Robinson <branden@debian.org>  Sat, 25 Nov 2000 16:46:06 -0500

=== debian/control ===
Source: mdetect
Section: misc
Priority: optional
Maintainer: Branden Robinson <branden@debian.org>
Build-Depends: debhelper (>> 2.0)
Standards-Version: 3.2.1

Package: mdetect
Architecture: any
Depends: ${shlibs:Depends}
Description: mouse device autodetection tool
 mdetect is a tool for autoconfiguring mice; it is typically used as the
 backend to some user-friendly frontend code.  mdetect writes the autodetected
 mouse device and protocol (as used by gpm) to standard output.  It can be
 invoked so as to produce output appropriate for XFree86 X server
 configuration files.

=== debian/rules ===
#!/usr/bin/make -f
# Debian package build rules file for mdetect
# Copyright (C) 2000 Progeny Linux Systems, Inc.
# Author: Branden Robinson <branden@progeny.com>
# Licensed under the GNU General Public License, version 2.  See the file
# /usr/share/common-licenses/GPL or <http://www.gnu.org/copyleft/gpl.txt>.

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	dh_clean

install:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) PREFIX=$(CURDIR)/debian/tmp install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	#dh_installmanpages
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch
.PHONY: build clean install binary-arch binary

## mdetect 0.5.2

=== debian/changelog ===
mdetect (0.5.2) unstable; urgency=low

  * Get right with Policy Version 3.5.7.
  * debian/control:
    - change Section to "utils" (Closes: #145101)
    - increment versioned build-dependency on debhelper to (>= 4.0)
    - increment Standards-Version to 3.5.7
  * debian/rules:
    - use debhelper version 4 compatibility
    - support "noopt" flag in DEB_BUILD_OPTIONS
    - correct path in install rule

 -- Branden Robinson <branden@debian.org>  Wed,  2 Oct 2002 00:55:26 -0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: mdetect
-Section: misc
+Section: utils
 Priority: optional
 Maintainer: Branden Robinson <branden@debian.org>
-Build-Depends: debhelper (>> 2.0)
-Standards-Version: 3.2.1
+Build-Depends: debhelper (>= 4.0)
+Standards-Version: 3.5.7
 
 Package: mdetect
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,23 @@
 # Licensed under the GNU General Public License, version 2.  See the file
 # /usr/share/common-licenses/GPL or <http://www.gnu.org/copyleft/gpl.txt>.
 
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+# This is the debhelper compatability version to use.
+export DH_COMPAT=4
+
+CFLAGS=-g
+# Does DEB_BUILD_OPTIONS contain the "noopt" flag?
+ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+# don't get rid of the space in the next line
+CFLAGS+= -O2
+endif
+
 build: build-stamp
 build-stamp:
 	dh_testdir
-	$(MAKE)
+	$(MAKE) CFLAGS="$(CFLAGS)"
 	touch build-stamp
 
 clean:
@@ -23,7 +36,7 @@
 	dh_testroot
 	dh_clean -k
 	dh_installdirs
-	$(MAKE) PREFIX=$(CURDIR)/debian/tmp install
+	$(MAKE) PREFIX=$(CURDIR)/debian/mdetect install
 
 binary-arch: build install
 	dh_testdir

## mdetect 0.5.2.1

=== debian/changelog ===
mdetect (0.5.2.1) unstable; urgency=low

  * NMU with maintainer approval
  * Applied patch from Robert Millan <rmh@aybabtu.com> to fix FTBFS on
    GNU/kFreeBSD and also to add mouse device names to detection logic
    (Closes: #319921)

 -- Otavio Salvador <otavio@debian.org>  Fri, 28 Oct 2005 11:07:14 -0200

## mdetect 0.5.2.1ubuntu2

=== debian/changelog ===
mdetect (0.5.2.1ubuntu2) gutsy; urgency=low

  * Fix FTBFS on !x86{,_64} by making vmmouse_detect build and behave properly.

 -- LaMont Jones <lamont@ubuntu.com>  Mon, 10 Sep 2007 17:18:04 +0000

mdetect (0.5.2.1ubuntu1) gutsy; urgency=low

  [ Bryce Harrington ]
  * debian/rules, debian/control: Add quilt patch system
  * debian/patches/100_vmmouse_detect.patch:
    - Added vmmouse_detect code (from VMWare)

  [ Kees Cook ]
  * debian/rules: adjusted to use dh_installman, correct doc inclusion
  * debian/patches/100_vmmouse_detect.patch:
    - Added vmmouse_detect.man from Bryce
    - Adjusting man page handling

 -- Bryce Harrington <bryce@ubuntu.com>  Fri, 10 Aug 2007 09:40:22 -0700

## mdetect 0.5.2.1ubuntu4

=== debian/changelog ===
mdetect (0.5.2.1ubuntu4) hardy; urgency=low

  * When calling x86 specific functions, it's usually a good idea to only
    do so on x86 platforms, so wrap iopl(3) call in appropriate ifdef's.
    Fixes FTBFS on !x86 platforms.

 -- Soren Hansen <soren@ubuntu.com>  Mon, 14 Apr 2008 23:27:13 +0200

mdetect (0.5.2.1ubuntu3) hardy; urgency=low

  * Fix vmmouse detection under KVM.

 -- Soren Hansen <soren@ubuntu.com>  Mon, 14 Apr 2008 09:07:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: mdetect
 Section: utils
 Priority: optional
-Maintainer: Branden Robinson <branden@debian.org>
-Build-Depends: debhelper (>= 4.0)
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Branden Robinson <branden@debian.org>
+Build-Depends: debhelper (>= 4.0), quilt
 Standards-Version: 3.5.7
 
 Package: mdetect
@@ -14,3 +15,6 @@
  mouse device and protocol (as used by gpm) to standard output.  It can be
  invoked so as to produce output appropriate for XFree86 X server
  configuration files.
+ .
+ vmmouse_detect is a tool for detecting if the system is running under a
+ vmware instance and vmmouse is in use.

=== debian/rules ===
--- 
+++ 
@@ -8,17 +8,19 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+include /usr/share/quilt/quilt.make
+
 # This is the debhelper compatability version to use.
 export DH_COMPAT=4
 
-CFLAGS=-g
+CFLAGS=-g -Wall
 # Does DEB_BUILD_OPTIONS contain the "noopt" flag?
 ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 # don't get rid of the space in the next line
 CFLAGS+= -O2
 endif
 
-build: build-stamp
+build: patch build-stamp
 build-stamp:
 	dh_testdir
 	$(MAKE) CFLAGS="$(CFLAGS)"
@@ -31,19 +33,24 @@
 	$(MAKE) clean
 	dh_clean
 
-install:
+install: build
 	dh_testdir
 	dh_testroot
 	dh_clean -k
 	dh_installdirs
-	$(MAKE) PREFIX=$(CURDIR)/debian/mdetect install
+
+	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp \
+		PREFIX=$(CURDIR)/debian/tmp \
+		install
 
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installdocs
-	#dh_installmanpages
+	dh_installdocs README README.vmmouse
+	dh_installman mdetect.man vmmouse_detect.man
 	dh_installchangelogs
+	dh_install --sourcedir=debian/tmp --list-missing
+	dh_link
 	dh_strip
 	dh_compress
 	dh_fixperms

## mdetect 0.5.2.3

=== debian/changelog ===
mdetect (0.5.2.3) unstable; urgency=low

  * mdetect.c: Fix "mdetect ignores symlinks" by using stat() instead 
    of lstat(). (Closes: #173326)
  * Upgrade the standard version.

 -- LIU Qi <liuqi82@gmail.com>  Thu, 16 Jul 2009 11:41:01 +0800

mdetect (0.5.2.2) unstable; urgency=low

  * New maintainer. (Closes: #522258)
  * Fixed many lintian warnings and an error. (Closes: #395751)

 -- LIU Qi <liuqi82@gmail.com>  Fri, 12 Jun 2009 11:48:25 +0800

## mdetect 0.5.2.3build1

=== debian/changelog ===
mdetect (0.5.2.3build1) lucid; urgency=low

  * rebuild rest of main for armel armv7/thumb2 optimization;
    UbuntuSpec:mobile-lucid-arm-gcc-v7-thumb2

 -- Alexander Sack <asac@ubuntu.com>  Sun, 07 Mar 2010 00:56:56 +0100

## mdetect 0.5.2.3build2

=== debian/changelog ===
mdetect (0.5.2.3build2) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Oct 2012 11:39:02 +0100

=== debian/control ===
Source: mdetect
Section: utils
Priority: optional
Maintainer: LIU Qi <liuqi82@gmail.com>
Build-Depends: debhelper (>= 7.0)
Standards-Version: 3.8.2
Vcs-Browser: http://git.printk.org/?p=liuqi/debian/mdetect.git;a=summary
Vcs-git: git://git.printk.org/liuqi/debian/mdetect.git

Package: mdetect
Architecture: any
Depends: ${shlibs:Depends}
Description: mouse device autodetection tool
 mdetect is a tool for autoconfiguring mice; it is typically used as the
 backend to some user-friendly frontend code.  mdetect writes the autodetected
 mouse device and protocol (as used by gpm) to standard output.  It can be
 invoked so as to produce output appropriate for XFree86 X server
 configuration files.

=== debian/rules ===
#!/usr/bin/make -f
# Debian package build rules file for mdetect
# Copyright (C) 2000 Progeny Linux Systems, Inc.
# Author: Branden Robinson <branden@progeny.com>
# Licensed under the GNU General Public License, version 2.  See the file
# /usr/share/common-licenses/GPL or <http://www.gnu.org/copyleft/gpl.txt>.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS=-g -Wall
# Does DEB_BUILD_OPTIONS contain the "noopt" flag?
ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
# don't get rid of the space in the next line
CFLAGS+= -O2
endif

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) CFLAGS="$(CFLAGS)"
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) PREFIX=$(CURDIR)/debian/mdetect install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	#dh_installmanpages
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

binary: binary-arch binary-indep
.PHONY: build clean install binary-arch binary-indep binary

## mdetect 0.5.2.4

=== Makefile ===
--- 
+++ 
@@ -20,17 +20,17 @@
 #  That's right, although mdetect itself is under the QPL, this makefile is
 #  under the GPL.  Enjoy!
 
-CFLAGS=-Wall -g -O2
+CFLAGS +=-Wall -g -O2
 
 mdetect: mdetect.c mice.c
 
 install: mdetect
-	install -m 755 -d $(PREFIX)/usr/bin
-	install -m 755 mdetect $(PREFIX)/usr/bin
-	install -m 755 -d $(PREFIX)/usr/share/man/man1
-	install -m 644 mdetect.man $(PREFIX)/usr/share/man/man1/mdetect.1
-	install -m 755 -d $(PREFIX)/usr/share/doc/mdetect
-	install -m 644 README $(PREFIX)/usr/share/doc/mdetect
+	install -m 755 -d $(DESTDIR)/usr/bin
+	install -m 755 mdetect $(DESTDIR)/usr/bin
+	install -m 755 -d $(DESTDIR)/usr/share/man/man1
+	install -m 644 mdetect.man $(DESTDIR)/usr/share/man/man1/mdetect.1
+	install -m 755 -d $(DESTDIR)/usr/share/doc/mdetect
+	install -m 644 README $(DESTDIR)/usr/share/doc/mdetect
 
 clean:
 	rm -f mdetect *.o core

=== debian/changelog ===
mdetect (0.5.2.4) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #733143)
  * Acknowledge NMU. Thanks to Otavio Salvador. (Closes: #319921)
  * DH level to 9.
  * DebSrc to 3.0 format.
  * Makefile:
     - Improved the GCC hardening.
     - Updated the variables for install files.
  * debian/control:
     - Bumped Standards-Version to 3.9.6.
     - Included ${misc:Depends} in Depends.
  * debian/copyright:
      - Migrated to 1.0 format.
      - Revised and updated all information.
  * debian/mdetect.files: useless file, removed.
  * debian/rules:
      - Updated to reduced format.

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Sun, 27 Sep 2015 14:40:18 -0300

=== debian/control ===
Source: mdetect
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Vcs-Browser: http://git.printk.org/?p=liuqi/debian/mdetect.git;a=summary
Vcs-git: git://git.printk.org/liuqi/debian/mdetect.git

Package: mdetect
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: mouse device autodetection tool
 mdetect is a tool for autoconfiguring mice; it is typically used as the
 backend to some user-friendly frontend code.  mdetect writes the autodetected
 mouse device and protocol (as used by gpm) to standard output.  It can be
 invoked so as to produce output appropriate for XFree86 X server
 configuration files.

## mdetect 0.5.2.5

=== debian/changelog ===
mdetect (0.5.2.5) unstable; urgency=medium

  * QA upload.
  * Refresh packaging:
    + Bump Standards-Version to 4.6.0.
    + Bump debhelper compat to v13.
  * Use autotools as buildsystem for better handling.

 -- Boyuan Yang <byang@debian.org>  Fri, 08 Oct 2021 20:21:51 -0400

## mdetect 0.5.2.6

=== debian/changelog ===
mdetect (0.5.2.6) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Trim trailing whitespace.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 13 Oct 2022 14:20:24 +0100

=== debian/control ===
Source: mdetect
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/debian/mdetect.git
Vcs-Browser: https://salsa.debian.org/debian/mdetect

Package: mdetect
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: mouse device autodetection tool
 mdetect is a tool for autoconfiguring mice; it is typically used as the
 backend to some user-friendly frontend code.  mdetect writes the autodetected
 mouse device and protocol (as used by gpm) to standard output.  It can be
 invoked so as to produce output appropriate for XFree86 X server
 configuration files.

## mdetect 0.5.2.6build1

=== debian/changelog ===
mdetect (0.5.2.6build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 16 Dec 2025 20:03:39 +0000
